/*!
 * @file weapon_power_up.h
 * @brief A class representing a PowerUp containing a weapon.
*/

#ifndef _WEAPON_POWER_UP_H
#define _WEAPON_POWER_UP_H

#include "power_up.h"
#include "weapons/weapon.h"

/* FORWARD DEFINITION */

class WeaponPowerUp : public PowerUp {

public:
  WeaponPowerUp();
  WeaponPowerUp(const TiXmlElement* root);
  virtual ~WeaponPowerUp ();

  Weapon* getWeapon();
  ClassID getWeaponID();
  long getCapsNeeded();

private:
  void init();
  void loadParams(const TiXmlElement* root);

private:
  ClassID weaponID;
  long capsNeeded;
};

#endif /* _WEAPON_POWER_UP_H */
